Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/quite/humla.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorAndrew Comminos <andrewcomminos@gmail.com>2013-07-21 13:00:40 +0400
committerAndrew Comminos <andrewcomminos@gmail.com>2013-07-21 13:00:40 +0400
commit5a1d919075754dcab74d0c42c5236ea70a7bce36 (patch)
treea7676c5594074a4e30e000a7b2262875d1729d4a /tools
parent54eb77f638404a8c0ed0eb8b823f5644f3cbd1a1 (diff)
Tons of stuff. Improved IPC, initial Database support, User and Channel
management, and more.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/mkp12.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/tools/mkp12.sh b/tools/mkp12.sh
new file mode 100755
index 0000000..1d35375
--- /dev/null
+++ b/tools/mkp12.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+# Copyright (C) 2013 Andrew Comminos
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ "$1" == "" ]; then
+echo "You need to specify an output path."
+exit 1
+fi
+
+openssl req -nodes -batch -newkey rsa:2048 -x509 -days 30 -keyout jumble.key -out jumble.crt
+openssl pkcs12 -export -out $1 -inkey jumble.key -in jumble.crt
+rm jumble.crt
+rm jumble.key \ No newline at end of file